<div class="steps">
  <div class="steps__inner">
    <div class="step" *ngFor="let itemNumber of counterArray" [ngClass]="{'step--active': itemNumber == active, 'step--passed': itemNumber < active, 'step--empty': itemNumber % 1}">
      <ng-container *ngIf="itemNumber % 1">
        <div class="step__empty_area">
          <div class="step__line"></div>
        </div>
      </ng-container>
      <ng-container *ngIf="!(itemNumber % 1)">
        <div class="step__heading text--primary">Step</div>
        <div class="step__count">{{itemNumber}}</div>
        <div class="step__bullet">
          <div class="bullet">
            <div class="bullet__ellipse"></div>
          </div>
        </div>
      </ng-container>
    </div>
  </div>
</div>
